<!-- Simply include the sails.io.js script, and a client socket will be created for you -->
<script type="text/javascript" src="/dependencies/sails.io.js"></script>
<script type="text/javascript">
  // The automatically-created socket is exposed as io.socket.
  // Use .on() to subscribe to the 'user' event on the client.
  // This event is sent by the Sails "create", "update",
  // "delete", "add" and "remove" blueprints to any socket that
  // is subscribed to one or more User model instances.
  io.socket.on('notification', function (data){
    console.log(data);
  });

  // io.socket.on('gamehistory', function (data){
  //   console.log(data);
  // });
  // io.socket.on('team', function (data){
  //   console.log(data);
  // });
  // // Using .get('/user') will retrieve a list of current User models,
  // // subscribe this socket to those models, AND subscribe this socket
  // // to notifications about new User models when they are created.
  io.socket.get('/gameuser/subscribeToNotifications/1', function gotResponse(body, response) {
    console.log('Current users: ', body);
  })
  io.socket.get('/gameuser/subscribeToNotifications/2', function gotResponse(body, response) {
    console.log('Current users: ', body);
  })
  // io.socket.get('/gamehistory/4', function gotResponse(body, response) {
  //   console.log('Current users: ', body);
  // })
  // io.socket.get('/team/10', function gotResponse(body, response) {
  //   console.log('Current users: ', body);
  // })
  // var socket = require('socket.io-client')('http://185.22.67.18/gameuser/');
  // socket.on('connect', function(){});
  // socket.on('notification', function(data){
  //   console.log('Message': 'message')
  // });
  // socket.on('notification', function(data){});
  // socket.on('disconnect', function(){});
</script>
